package com.bonus.sgzb.app.mapper;

import com.bonus.sgzb.base.api.domain.BmFlow;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* Description:
* @Author 阮世耀
* @Create 2024/3/16 12:43
* @Version 1.0
*/

@Mapper
public interface BmFlowMapper {
    /**
     * delete by primary key
     * @param id primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * insert record to table
     * @param record the record
     * @return insert count
     */
    int insert(BmFlow record);

    int insertOrUpdate(BmFlow record);

    int insertOrUpdateSelective(BmFlow record);

    /**
     * insert record to table selective
     * @param record the record
     * @return insert count
     */
    int insertSelective(BmFlow record);

    /**
     * select by primary key
     * @param id primary key
     * @return object by primary key
     */
    BmFlow selectByPrimaryKey(Integer id);

    /**
     * 查询全部
     * @return 集合
     */
    List<BmFlow> selectAll();

    /**
     * update record selective
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(BmFlow record);

    /**
     * update record
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKey(BmFlow record);

    int updateBatch(List<BmFlow> list);

    int updateBatchSelective(List<BmFlow> list);

    int batchInsert(@Param("list") List<BmFlow> list);
}